// pages/search/search.js
import httpRequestApi from '../../utils/APIRequest';
export const searchInit = (that) => {
  that.setData({
    searchData: {
      searchList: []
    }
  })
  //获取输入值,并请求接口
  that.focus = ({detail}) => {
    httpRequestApi.getCourse({
      title: detail.value
    }).success((res)=>{
      that.data.searchData.searchList = res.data.data.list;
      that.setData({
        searchData: that.data.searchData
      })
    })
  }
  //跳转到详情页
  that.details = ({ currentTarget }) => {
    const id = currentTarget.dataset.id;
    wx.navigateTo({
      url: '/pages/details/details?id=' + id 
    })
  }
}